Skip to main content
`Ctrl`+`K`

# DMEnclosureType

The type of enclosure relation between one `DM` and another

## Synopsis

    typedef enum {
      DM_ENC_EQUALITY,
      DM_ENC_SUPERMESH,
      DM_ENC_SUBMESH,
      DM_ENC_NONE,
      DM_ENC_UNKNOWN
    } DMEnclosureType;

## Values

- `DM_ENC_SUBMESH` - the `DM` is the boundary of another `DM`

- `DM_ENC_SUPERMESH` - the `DM` has the boundary of another `DM` (the reverse situation to `DM_ENC_SUBMESH`)

- `DM_ENC_EQUALITY` - it is unknown what this means

- `DM_ENC_NONE` - no relationship can be determined

- `DM_ENC_UNKNOWN` - the relationship is unknown

## See Also

DM Basics, `DM`, `DMGetEnclosureRelation()`

## Level

beginner

## Location

include/petscdmtypes.h

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages